Class | Chef::ReservedNames::Win32::Process
In: | lib/chef/win32/process.rb
Parent: | Object

### Methods

get_current_process get_process_handle_count get_process_id get_process_memory_info handle_count id memory_info new

### Included Modules

Chef::ReservedNames::Win32::API::Process Chef::ReservedNames::Win32::API::PSAPI

### Attributes

handle | [R] |

### Public Class methods

get_current_process()
get_process_handle_count(handle)
get_process_id(handle)
get_process_memory_info(handle)

Must have PROCESS_QUERY_INFORMATION or PROCESS_QUERY_LIMITED_INFORMATION rights, AND the PROCESS_VM_READ right

new(handle)

### Public Instance methods

handle_count()
id()
memory_info()

[Validate]